commit:     3406b7b5a9c63f1f14f3574b437801e098b4f619
Author:     Felix Janda <felix.janda <AT> posteo <DOT> de>
AuthorDate: Sat Oct  1 19:22:44 2016 +0000
Commit:     Felix Janda <felix.janda <AT> posteo <DOT> de>
CommitDate: Sat Oct  1 19:25:24 2016 +0000
URL:        https://gitweb.gentoo.org/proj/musl.git/commit/?id=3406b7b5

x11-base/xorg-server: add version 1.18.3 for arm

Reduce KEYWORDS to arm since this is the only arch that still
needs patching.

 x11-base/xorg-server/Manifest                      |   3 +
 ...rver-1.18-support-multiple-Files-sections.patch |  53 +++++
 x11-base/xorg-server/xorg-server-1.18.3-r99.ebuild | 243 +++++++++++++++++++++
 3 files changed, 299 insertions(+)

diff --git a/x11-base/xorg-server/Manifest b/x11-base/xorg-server/Manifest
index 6c5da35..45e2d2d 100644
--- a/x11-base/xorg-server/Manifest
+++ b/x11-base/xorg-server/Manifest
@@ -7,9 +7,12 @@ AUX xorg-server-1.14.3-musl.patch 916 SHA256 
aa3d44a6b21a7991eb730d5ddf345e8ab9c
 AUX xorg-server-1.17-ia64-fix_inx_outx.patch 1539 SHA256 
4c844b2d41b6412304b8a918e3cd93d8f2ab8dad8e6a22310cd87d1f3d8f5e95 SHA512 
1db65132bb04eff380d38ccc8441f9f9e5286d7a47956495c0a7de7978107d15e5638d05df0aabbcd11687dd03189a7ac50fca51d755d082869aed71e66dbda1
 WHIRLPOOL 
8f7f3d107e2f8ce5e07d5dac9bf68b7547425943c3e6b6db92eab8bebc0194da53384c953f5e823a5284025e1bbcf18000b497d31de7c5d46e43f9cc02999915
 AUX xorg-server-1.17-support-multiple-Files-sections.patch 2256 SHA256 
1cc57d2e8449d50737c507005df348610bb68241fe36e997e4803b3b8b3e6d86 SHA512 
e3141727c993e02b2e067095807e96ef0cc82e2e7c8b65664d0530ef05a0f7b9170272e4e1e3523ede3f1cc23b00c4776785b8299e0b58a6e7fd56062aecefb6
 WHIRLPOOL 
078a5e30777a8f6e908421a1c7cc4a7e63c23f57b600bb1117bc1e8de2db0e6440870f811e65283acaa48da06fcc5666434d2bdce257709344e8f584d1525623
 AUX xorg-server-1.17.4-arm-musl.patch 682 SHA256 
b210a93b4d6128c0963ade3458925ff293e1c68ac20a15964357fd401f7161e0 SHA512 
b799e757a22a61ac283adbd7a8df1ad4eccce0bb6cac38a0c962ba8438bba3cf6637a65bb64859e7b32399fca672283a49960207e186c271ba574580de360d09
 WHIRLPOOL 
3a197692f3d5a7563294248784d8afb5d74eb19e8533cab5166364e96753e0c99c1cbfc236b74c9fcfa553822e277b62f19a4b7193697c9e0c991d3f00de5b8e
+AUX xorg-server-1.18-support-multiple-Files-sections.patch 1902 SHA256 
07ef91cb5da75d5165d10d5bc29c58a8b003e743092c1e290453bd6f82a2cf63 SHA512 
5cd0a4ce9c2efef7abc84df805a3c6da33bd64fdb16c3aa2fa61da4f805605a3d12cab0f452d3bc217b6e5d5d5bea29c9f3bf262e46347a074770ebd75ddf5b5
 WHIRLPOOL 
08fa76e82278cc103ba91555d679413409fd70c29609950e9c1fdd7cfc1e13d5d5b76dc2891465b8faa0fca37c89a32556d0c4cb644a131a7abd332a91fc6cad
 AUX xorg-sets.conf 199 SHA256 
1201d0337ac69d9715f4454a86dfb8a7bd1ae6f4c2578042fc08f283a997597c SHA512 
910fe28f20909243044f079ff35136942b8790f4f28ac42ffc64a76b7f03cd22057087fa5e4e01192080b52c0d89000ea96d5a807c6f11f680d3f43312c5be41
 WHIRLPOOL 
4acac88e1688ea71df59a86a8a188b5369ad05f61e1369cd620eecd754511578e961a537ff6d0b22156f671d3485289cbc941dfe83bea24a27329b7bebb46c7d
 DIST xorg-server-1.16.4.tar.bz2 5817330 SHA256 
abb6e1cc9213a9915a121f48576ff6739a0b8cdb3d32796f9a7743c9a6efc871 SHA512 
f756fca65535aa921a85d8d8eb36ea2ba5b7af90a46d640b0ca76259a9abd9d323885087e11156528d95240937c70373045001ae20266a1b9e89909f007e9e74
 WHIRLPOOL 
63980a3e2b57d2860998344f21a6524598b3dc135c277e5a868e34b57ab5060681ae7137358b3ba8b9ca5fd622a91aeb06bd0ac9e3e5ce1f4dc55df2b2dc0e33
 DIST xorg-server-1.17.4.tar.bz2 5791384 SHA256 
0c4b45c116a812a996eb432d8508cf26c2ec8c3916ff2a50781796882f8d6457 SHA512 
4b8377b86ca88f27dcf59db2996b2ee620ce6f181a37dc47600365db588d48f2f3ca66a3149e7c856e686e5783b1cccb2ba0827aa7413299163dfca869f4d376
 WHIRLPOOL 
c5baa1b01e57eac9e18bd1890c0a7e2246836524645057d5e05a1a19225d863645616aafaadbf9d083ffb672d47ea1934ad8323d813533e9519f0d92f9a1c6ab
+DIST xorg-server-1.18.3.tar.bz2 5867330 SHA256 
ea739c22517cdbe2b5f7c0a5fd05fe8a10ac0629003e71c0c7862f4bb60142cd SHA512 
9540b2fb69bf531b57e54af09b103c92c8d9d9cc4e6abe911f63b73b7c63eb6587eeae87927d7bdd7be83749785bf6b395891f85394e86ad2b01c182749f2171
 WHIRLPOOL 
8ddf040ff24a4668a460b323b6604347120868658d61b9b84853568f768f7f84267d7caf299c4fe306aeff0bc68d28613a51eaee5a2904bfd524e2aac7ff2e7a
 EBUILD xorg-server-1.16.4-r99.ebuild 6767 SHA256 
9d2027c38b5e6cb0f8ecb7f97733172af29d2834dfb023a5f3bdc5a178938cf5 SHA512 
08b8b271c273ba27ac06fcca259ffdf87beaf8768ee326af8750a4f79bf78b99d935d2afa1249086961d5f937e65d597db7f08831d4df7db56ab65e2d9a36f25
 WHIRLPOOL 
b94da2f8bbccefd58b53437042cc3211a75abeaefa814e0fae4b829db055ce4034994dd1395fa2a809aa7c52af16140859de1920d1324a253aa688f1d7a5b911
 EBUILD xorg-server-1.17.4.ebuild 6282 SHA256 
d522e5273a368d66e8cd95906c47873009325dd83cd29dd9dfb4dd3765c8a675 SHA512 
ca9bb36a6c1bb26a579f44496931a8302c8b78c1a5287cbd772447cd79c7b468785b5dfb28368aad47ac8ed4368dab65313ca68528d7145566eb8561d184a2ef
 WHIRLPOOL 
019705c66bc05cbaa8b08affe45de151ec04ccc101df6cb717ec926a7dcadb085f74a774801c3b516dfd01f930fb3ceb00db7047ac93741b768542f0b0a9c11e
+EBUILD xorg-server-1.18.3-r99.ebuild 6115 SHA256 
538e0f93f41cef8b58628ae60bc94ab57716d19187363979eb0381745903102a SHA512 
1c696fd0c6c5a9ec14d3a3df826c7a02d0de58790f2ddd579c7a0e68f1c46ddccfbae4acd5b8f2e15c0c65f14cc8647020dac75eddd49eebb513b5f76fc89212
 WHIRLPOOL 
d0f153e9c7e85bb90a3990d6dae032e57681227160cf67c068998f50038c6ef98a35d9f4c89319c17c495e1eea08b378d790a749ca8502b2352d679a10e4a919
 MISC metadata.xml 877 SHA256 
b41a133db7c20ca9b78a620f30af984d178baef7207c8c4329e1309835e8b522 SHA512 
370e41da26388e328697958396b808c831e07245dc9e2ea230316bee8067d8501d032a0c9f89b7f1ea27c816490803839a8f14485aacde6143b3db38a6e1ede2
 WHIRLPOOL 
ce70642eac3ef6ea824755d4d1bc7bdf8e5d3b95300ef43a41e1f5e710df0f12179f0a15b21dae0fbebb0dd56e35008f1e991463215a7f23dd2fd977400da40b

diff --git 
a/x11-base/xorg-server/files/xorg-server-1.18-support-multiple-Files-sections.patch
 
b/x11-base/xorg-server/files/xorg-server-1.18-support-multiple-Files-sections.patch
new file mode 100644
index 0000000..0a61145
--- /dev/null
+++ 
b/x11-base/xorg-server/files/xorg-server-1.18-support-multiple-Files-sections.patch
@@ -0,0 +1,53 @@
+See http://lists.x.org/archives/xorg-devel/2015-February/045755.html
+
+diff --git a/hw/xfree86/parser/Files.c b/hw/xfree86/parser/Files.c
+index 849bf92..5cc3ec7 100644
+--- a/hw/xfree86/parser/Files.c
++++ b/hw/xfree86/parser/Files.c
+@@ -76,14 +76,18 @@ static xf86ConfigSymTabRec FilesTab[] = {
+ #define CLEANUP xf86freeFiles
+ 
+ XF86ConfFilesPtr
+-xf86parseFilesSection(void)
++xf86parseFilesSection(XF86ConfFilesPtr ptr)
+ {
+     int i, j;
+     int k, l;
+     char *str;
+     int token;
+ 
+-    parsePrologue(XF86ConfFilesPtr, XF86ConfFilesRec)
++    if (!ptr) {
++      if( (ptr=calloc(1,sizeof(XF86ConfFilesRec))) == NULL ) {
++              return NULL;
++      }
++    }
+ 
+         while ((token = xf86getToken(FilesTab)) != ENDSECTION) {
+         switch (token) {
+diff --git a/hw/xfree86/parser/configProcs.h b/hw/xfree86/parser/configProcs.h
+index 171f8e8..e8199fe 100644
+--- a/hw/xfree86/parser/configProcs.h
++++ b/hw/xfree86/parser/configProcs.h
+@@ -36,7 +36,7 @@ void xf86freeDeviceList(XF86ConfDevicePtr ptr);
+ int xf86validateDevice(XF86ConfigPtr p);
+ 
+ /* Files.c */
+-XF86ConfFilesPtr xf86parseFilesSection(void);
++XF86ConfFilesPtr xf86parseFilesSection(XF86ConfFilesPtr ptr);
+ void xf86printFileSection(FILE * cf, XF86ConfFilesPtr ptr);
+ void xf86freeFiles(XF86ConfFilesPtr p);
+ 
+diff --git a/hw/xfree86/parser/read.c b/hw/xfree86/parser/read.c
+index 327c02a..e0d6139 100644
+--- a/hw/xfree86/parser/read.c
++++ b/hw/xfree86/parser/read.c
+@@ -110,7 +110,7 @@ xf86readConfigFile(void)
+             if (xf86nameCompare(xf86_lex_val.str, "files") == 0) {
+                 free(xf86_lex_val.str);
+                 xf86_lex_val.str = NULL;
+-                HANDLE_RETURN(conf_files, xf86parseFilesSection());
++                HANDLE_RETURN(conf_files, 
xf86parseFilesSection(ptr->conf_files));
+             }
+             else if (xf86nameCompare(xf86_lex_val.str, "serverflags") == 0) {
+                 free(xf86_lex_val.str);

diff --git a/x11-base/xorg-server/xorg-server-1.18.3-r99.ebuild 
b/x11-base/xorg-server/xorg-server-1.18.3-r99.ebuild
new file mode 100644
index 0000000..edc100e
--- /dev/null
+++ b/x11-base/xorg-server/xorg-server-1.18.3-r99.ebuild
@@ -0,0 +1,243 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+XORG_DOC=doc
+inherit xorg-2 multilib versionator flag-o-matic
+EGIT_REPO_URI="git://anongit.freedesktop.org/xorg/xserver"
+
+DESCRIPTION="X.Org X servers"
+SLOT="0/${PV}"
+KEYWORDS="arm"
+
+IUSE_SERVERS="dmx kdrive xephyr xnest xorg xvfb"
+IUSE="${IUSE_SERVERS} glamor ipv6 libressl minimal selinux +suid systemd tslib 
+udev unwind wayland"
+
+CDEPEND=">=app-eselect/eselect-opengl-1.3.0
+       !libressl? ( dev-libs/openssl:0= )
+       libressl? ( dev-libs/libressl )
+       media-libs/freetype
+       >=x11-apps/iceauth-1.0.2
+       >=x11-apps/rgb-1.0.3
+       >=x11-apps/xauth-1.0.3
+       x11-apps/xkbcomp
+       >=x11-libs/libdrm-2.4.46
+       >=x11-libs/libpciaccess-0.12.901
+       >=x11-libs/libXau-1.0.4
+       >=x11-libs/libXdmcp-1.0.2
+       >=x11-libs/libXfont-1.4.2
+       >=x11-libs/libxkbfile-1.0.4
+       >=x11-libs/libxshmfence-1.1
+       >=x11-libs/pixman-0.27.2
+       >=x11-libs/xtrans-1.3.5
+       >=x11-misc/xbitmaps-1.0.1
+       >=x11-misc/xkeyboard-config-2.4.1-r3
+       dmx? (
+               x11-libs/libXt
+               >=x11-libs/libdmx-1.0.99.1
+               >=x11-libs/libX11-1.1.5
+               >=x11-libs/libXaw-1.0.4
+               >=x11-libs/libXext-1.0.99.4
+               >=x11-libs/libXfixes-5.0
+               >=x11-libs/libXi-1.2.99.1
+               >=x11-libs/libXmu-1.0.3
+               x11-libs/libXrender
+               >=x11-libs/libXres-1.0.3
+               >=x11-libs/libXtst-1.0.99.2
+       )
+       glamor? (
+               media-libs/libepoxy
+               >=media-libs/mesa-10.3.4-r1[egl,gbm]
+               !x11-libs/glamor
+       )
+       kdrive? (
+               >=x11-libs/libXext-1.0.5
+               x11-libs/libXv
+       )
+       xephyr? (
+               x11-libs/libxcb
+               x11-libs/xcb-util
+               x11-libs/xcb-util-image
+               x11-libs/xcb-util-keysyms
+               x11-libs/xcb-util-renderutil
+               x11-libs/xcb-util-wm
+       )
+       !minimal? (
+               >=x11-libs/libX11-1.1.5
+               >=x11-libs/libXext-1.0.5
+               >=media-libs/mesa-10.3.4-r1
+       )
+       tslib? ( >=x11-libs/tslib-1.0 )
+       udev? ( >=virtual/udev-150 )
+       unwind? ( sys-libs/libunwind )
+       wayland? (
+               >=dev-libs/wayland-1.3.0
+               media-libs/libepoxy
+       )
+       >=x11-apps/xinit-1.3.3-r1
+       systemd? (
+               sys-apps/dbus
+               sys-apps/systemd
+       )"
+
+DEPEND="${CDEPEND}
+       sys-devel/flex
+       >=x11-proto/bigreqsproto-1.1.0
+       >=x11-proto/compositeproto-0.4
+       >=x11-proto/damageproto-1.1
+       >=x11-proto/fixesproto-5.0
+       >=x11-proto/fontsproto-2.1.3
+       >=x11-proto/glproto-1.4.17-r1
+       >=x11-proto/inputproto-2.3
+       >=x11-proto/kbproto-1.0.3
+       >=x11-proto/randrproto-1.5.0
+       >=x11-proto/recordproto-1.13.99.1
+       >=x11-proto/renderproto-0.11
+       >=x11-proto/resourceproto-1.2.0
+       >=x11-proto/scrnsaverproto-1.1
+       >=x11-proto/trapproto-3.4.3
+       >=x11-proto/videoproto-2.2.2
+       >=x11-proto/xcmiscproto-1.2.0
+       >=x11-proto/xextproto-7.2.99.901
+       >=x11-proto/xf86dgaproto-2.0.99.1
+       >=x11-proto/xf86rushproto-1.1.2
+       >=x11-proto/xf86vidmodeproto-2.2.99.1
+       >=x11-proto/xineramaproto-1.1.3
+       >=x11-proto/xproto-7.0.28
+       >=x11-proto/presentproto-1.0
+       >=x11-proto/dri3proto-1.0
+       dmx? (
+               >=x11-proto/dmxproto-2.2.99.1
+               doc? (
+                       || (
+                               www-client/links
+                               www-client/lynx
+                               www-client/w3m
+                       )
+               )
+       )
+       !minimal? (
+               >=x11-proto/xf86driproto-2.1.0
+               >=x11-proto/dri2proto-2.8
+       )"
+
+RDEPEND="${CDEPEND}
+       selinux? ( sec-policy/selinux-xserver )
+       !x11-drivers/xf86-video-modesetting
+"
+
+PDEPEND="
+       xorg? ( >=x11-base/xorg-drivers-$(get_version_component_range 1-2) )"
+
+REQUIRED_USE="!minimal? (
+               || ( ${IUSE_SERVERS} )
+       )
+       xephyr? ( kdrive )"
+
+#UPSTREAMED_PATCHES=(
+#      "${WORKDIR}/patches/"
+#)
+
+PATCHES=(
+       "${UPSTREAMED_PATCHES[@]}"
+       "${FILESDIR}"/${PN}-1.12-unloadsubmodule.patch
+       # needed for new eselect-opengl, bug #541232
+       "${FILESDIR}"/${PN}-1.18-support-multiple-Files-sections.patch
+       "${FILESDIR}"/${PN}-1.17.4-arm-musl.patch
+)
+
+pkg_pretend() {
+       # older gcc is not supported
+       [[ "${MERGE_TYPE}" != "binary" && $(gcc-major-version) -lt 4 ]] && \
+               die "Sorry, but gcc earlier than 4.0 will not work for 
xorg-server."
+}
+
+src_configure() {
+       # localstatedir is used for the log location; we need to override the 
default
+       #       from ebuild.sh
+       # sysconfdir is used for the xorg.conf location; same applies
+       # NOTE: fop is used for doc generating; and I have no idea if Gentoo
+       #       package it somewhere
+       XORG_CONFIGURE_OPTIONS=(
+               $(use_enable ipv6)
+               $(use_enable dmx)
+               $(use_enable glamor)
+               $(use_enable kdrive)
+               $(use_enable kdrive kdrive-kbd)
+               $(use_enable kdrive kdrive-mouse)
+               $(use_enable kdrive kdrive-evdev)
+               $(use_enable suid install-setuid)
+               $(use_enable tslib)
+               $(use_enable unwind libunwind)
+               $(use_enable wayland xwayland)
+               $(use_enable !minimal record)
+               $(use_enable !minimal xfree86-utils)
+               $(use_enable !minimal dri)
+               $(use_enable !minimal dri2)
+               $(use_enable !minimal glx)
+               $(use_enable xephyr)
+               $(use_enable xnest)
+               $(use_enable xorg)
+               $(use_enable xvfb)
+               $(use_enable udev config-udev)
+               $(use_with doc doxygen)
+               $(use_with doc xmlto)
+               $(use_with systemd systemd-daemon)
+               $(use_enable systemd systemd-logind)
+               --enable-libdrm
+               --sysconfdir="${EPREFIX}"/etc/X11
+               --localstatedir="${EPREFIX}"/var
+               --with-fontrootdir="${EPREFIX}"/usr/share/fonts
+               --with-xkb-output="${EPREFIX}"/var/lib/xkb
+               --disable-config-hal
+               --disable-linux-acpi
+               --without-dtrace
+               --without-fop
+               --with-os-vendor=Gentoo
+               --with-sha1=libcrypto
+       )
+
+       xorg-2_src_configure
+}
+
+src_install() {
+       xorg-2_src_install
+
+       server_based_install
+
+       if ! use minimal && use xorg; then
+               # Install xorg.conf.example into docs
+               dodoc "${AUTOTOOLS_BUILD_DIR}"/hw/xfree86/xorg.conf.example
+       fi
+
+       newinitd "${FILESDIR}"/xdm-setup.initd-1 xdm-setup
+       newinitd "${FILESDIR}"/xdm.initd-11 xdm
+       newconfd "${FILESDIR}"/xdm.confd-4 xdm
+
+       # install the @x11-module-rebuild set for Portage
+       insinto /usr/share/portage/config/sets
+       newins "${FILESDIR}"/xorg-sets.conf xorg.conf
+}
+
+pkg_postinst() {
+       # sets up libGL and DRI2 symlinks if needed (ie, on a fresh install)
+       eselect opengl set xorg-x11 --use-old
+}
+
+pkg_postrm() {
+       # Get rid of module dir to ensure opengl-update works properly
+       if [[ -z ${REPLACED_BY_VERSION} && -e 
${EROOT}/usr/$(get_libdir)/xorg/modules ]]; then
+               rm -rf "${EROOT}"/usr/$(get_libdir)/xorg/modules
+       fi
+}
+
+server_based_install() {
+       if ! use xorg; then
+               rm "${ED}"/usr/share/man/man1/Xserver.1x \
+                       "${ED}"/usr/$(get_libdir)/xserver/SecurityPolicy \
+                       "${ED}"/usr/$(get_libdir)/pkgconfig/xorg-server.pc \
+                       "${ED}"/usr/share/man/man1/Xserver.1x
+       fi
+}

Reply via email to